Index: src/mlx/gui/acars.py
===================================================================
--- src/mlx/gui/acars.py	(revision 996)
+++ src/mlx/gui/acars.py	(revision 747)
@@ -1,9 +1,9 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
 import mlx.const as const
 
-from . import cef
+import cef
 
 #------------------------------------------------------------------------------
@@ -18,5 +18,5 @@
 #------------------------------------------------------------------------------
 
-class ACARS(Gtk.VBox):
+class ACARS(gtk.VBox):
     """The flight info tab."""
     # The URL of the ACARS map
Index: src/mlx/gui/bugreport.py
===================================================================
--- src/mlx/gui/bugreport.py	(revision 999)
+++ src/mlx/gui/bugreport.py	(revision 492)
@@ -1,4 +1,4 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
@@ -18,5 +18,5 @@
 #------------------------------------------------------------------------------
 
-class BugReportDialog(Gtk.Dialog):
+class BugReportDialog(gtk.Dialog):
     """The dialog to report a bug."""
     def __init__(self, gui):
@@ -24,8 +24,8 @@
                                               xstr("bugreport_title"),
                                               gui.mainWindow,
-                                              Gtk.DialogFlags.MODAL)
+                                              DIALOG_MODAL)
 
-        self.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
-        self._sendButton = self.add_button(xstr("button_send"), Gtk.ResponseType.ACCEPT)
+        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
+        self._sendButton = self.add_button(xstr("button_send"), RESPONSETYPE_ACCEPT)
         self._sendButton.set_can_default(True)
         self._gui = gui
@@ -33,5 +33,5 @@
         contentArea = self.get_content_area()
 
-        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -40,8 +40,8 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = Gtk.VBox()
+        contentVBox = gtk.VBox()
         contentAlignment.add(contentVBox)
 
-        label = Gtk.Label(xstr("bugreport_summary"))
+        label = gtk.Label(xstr("bugreport_summary"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -49,5 +49,5 @@
         contentVBox.pack_start(label, False, False, 4)
 
-        self._summary = summary = Gtk.Entry()
+        self._summary = summary = gtk.Entry()
         summary.connect("changed", self._summaryChanged)
         summary.set_tooltip_text(xstr("bugreport_summary_tooltip"))
@@ -56,5 +56,5 @@
         contentVBox.pack_start(summary, True, True, 4)
 
-        label = Gtk.Label(xstr("bugreport_description"))
+        label = gtk.Label(xstr("bugreport_description"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -62,25 +62,24 @@
         contentVBox.pack_start(label, False, False, 4)
 
-        self._description = description = Gtk.TextView()
+        self._description = description = gtk.TextView()
         description.set_tooltip_text(xstr("bugreport_description_tooltip"))
-        description.set_wrap_mode(Gtk.WrapMode.WORD)
+        description.set_wrap_mode(WRAP_WORD)
         label.set_mnemonic_widget(description)
 
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(description)
         scrolledWindow.set_size_request(-1, 200)
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(SHADOW_IN)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 1.0, yscale = 1.0)
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 1.0, yscale = 1.0)
         alignment.add(scrolledWindow)
 
         contentVBox.pack_start(alignment, True, True, 4)
 
-        emailBox = Gtk.HBox()
+        emailBox = gtk.HBox()
         contentVBox.pack_start(emailBox, False, False, 4)
 
-        label = Gtk.Label(xstr("bugreport_email"))
+        label = gtk.Label(xstr("bugreport_email"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -88,8 +87,8 @@
         emailBox.pack_start(label, False, False, 0)
 
-        alignment = Gtk.Alignment()
+        alignment = gtk.Alignment()
         emailBox.pack_start(alignment, False, False, 8)
 
-        self._email = email = Gtk.Entry()
+        self._email = email = gtk.Entry()
         email.set_tooltip_text(xstr("bugreport_email_tooltip"))
         label.set_mnemonic_widget(email)
@@ -106,6 +105,6 @@
         response = super(BugReportDialog, self).run()
 
-        print("response", response, Gtk.ResponseType.ACCEPT)
-        if response==Gtk.ResponseType.ACCEPT:
+        print "response", response, RESPONSETYPE_ACCEPT
+        if response==RESPONSETYPE_ACCEPT:
             self._send()
         else:
@@ -127,8 +126,9 @@
                                      descriptionBuffer.get_end_iter(),
                                      False)
+        description = text2unicode(description)
         self.set_sensitive(False)
-        self._gui.sendBugReport(self._summary.get_text(),
+        self._gui.sendBugReport(text2unicode(self._summary.get_text()),
                                 description,
-                                self._email.get_text(),
+                                text2unicode(self._email.get_text()),
                                 self._bugReportSent)
 
Index: src/mlx/gui/callouts.py
===================================================================
--- src/mlx/gui/callouts.py	(revision 999)
+++ src/mlx/gui/callouts.py	(revision 300)
@@ -1,4 +1,4 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
@@ -27,5 +27,5 @@
 #------------------------------------------------------------------------------
 
-class ApproachCalloutsEditor(Gtk.Dialog):
+class ApproachCalloutsEditor(gtk.Dialog):
     """The dialog to edit the approach callouts."""
     integerRE = re.compile("[0-9]+")
@@ -54,8 +54,8 @@
                                                      xstr("callouts_title"),
                                                      gui.mainWindow,
-                                                     Gtk.DialogFlags.MODAL)
-
-        self.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
-        self.add_button(xstr("button_ok"), Gtk.ResponseType.ACCEPT)
+                                                     DIALOG_MODAL)
+
+        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
+        self.add_button(xstr("button_ok"), RESPONSETYPE_ACCEPT)
 
         self._gui = gui
@@ -67,18 +67,18 @@
 
         # FIXME: common code with the checklist editor
-        typeBox = Gtk.HBox()
-
-        label = Gtk.Label(xstr("callouts_aircraftType"))
+        typeBox = gtk.HBox()
+
+        label = gtk.Label(xstr("callouts_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = Gtk.ListStore(str, int)
+        self._aircraftTypeModel = gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = Gtk.CellRendererText()
+        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -90,5 +90,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -98,8 +98,8 @@
         # FIXME: common code until here, but note that some texts are different
 
-        contentBox = Gtk.HBox()        
-
-        controlBox = Gtk.VBox()
-        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        contentBox = gtk.HBox()        
+
+        controlBox = gtk.VBox()
+        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -108,9 +108,9 @@
         contentBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = Gtk.Button(xstr("callouts_add"))
+        self._addButton = gtk.Button(xstr("callouts_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("callouts_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -119,5 +119,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = Gtk.Button(xstr("callouts_remove"))
+        self._removeButton = gtk.Button(xstr("callouts_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("callouts_remove_tooltip"))
@@ -125,5 +125,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -132,6 +132,6 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._fileListModel = Gtk.ListStore(int, str, str)
-        self._fileListModel.set_sort_column_id(0, Gtk.SortType.DESCENDING)
+        self._fileListModel = gtk.ListStore(int, str, str)
+        self._fileListModel.set_sort_column_id(0, SORT_DESCENDING)
 
         self._addingFile = False
@@ -139,14 +139,14 @@
         self._lastAddedAltitude = None
         
-        self._fileList = Gtk.TreeView(model = self._fileListModel)
-
-        renderer = Gtk.CellRendererSpin()
+        self._fileList = gtk.TreeView(model = self._fileListModel)
+
+        renderer = gtk.CellRendererSpin()
         renderer.set_property("editable", True)
 
-        adjustment = Gtk.Adjustment(0, 0, 5000, 10, 100)
+        adjustment = gtk.Adjustment(0, 0, 5000, 10, 100)
         renderer.set_property("adjustment", adjustment);
         renderer.connect("edited", self._altitudeEdited)
         
-        column = Gtk.TreeViewColumn(xstr("callouts_header_altitude"),
+        column = gtk.TreeViewColumn(xstr("callouts_header_altitude"),
                                     renderer, text = 0)
         self._fileList.append_column(column)
@@ -156,9 +156,9 @@
         column.set_sort_indicator(True)
         column.set_sort_column_id(0)
-        column.set_sort_order(Gtk.SortType.DESCENDING)
+        column.set_sort_order(SORT_DESCENDING)
         column.set_expand(False)
 
-        column = Gtk.TreeViewColumn(xstr("callouts_header_path"),
-                                    Gtk.CellRendererText(), text = 1)
+        column = gtk.TreeViewColumn(xstr("callouts_header_path"),
+                                    gtk.CellRendererText(), text = 1)
         self._fileList.append_column(column)
         column.set_expand(True)
@@ -173,17 +173,16 @@
                                self._fileListButtonPressed)
         selection = self._fileList.get_selection()
-        selection.set_mode(Gtk.SelectionMode.MULTIPLE)
+        selection.set_mode(SELECTION_MULTIPLE)
         selection.connect("changed", self._fileListSelectionChanged)
 
         self._buildFileListPopupMenu()
 
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(300, -1)
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
-        
-        fileListAlignment = Gtk.Alignment(xscale=1.0, yscale=1.0, 
+        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(SHADOW_IN)
+        
+        fileListAlignment = gtk.Alignment(xscale=1.0, yscale=1.0, 
                                           xalign=0.5, yalign=0.5)
         fileListAlignment.set_padding(padding_top = 0, padding_bottom = 16,
@@ -205,9 +204,9 @@
         self.hide()
 
-        if response==Gtk.ResponseType.ACCEPT:
+        if response==RESPONSETYPE_ACCEPT:
             self._saveApproachCallouts()
             config = self._gui.config
             for (aircraftType, approachCallouts) in \
-                    self._approachCallouts.items():
+                    self._approachCallouts.iteritems():
                 config.setApproachCallouts(aircraftType, approachCallouts)
             config.save()
@@ -226,5 +225,5 @@
         dialog.hide()
 
-        if result==Gtk.ResponseType.OK:
+        if result==RESPONSETYPE_OK:
             filePath = dialog.get_filename()
             baseName = os.path.basename(filePath)
@@ -240,5 +239,5 @@
         Makes the treeview to edit the altitude in the given row."""
         if self._addingFile:
-            GObject.idle_add(self._selectFile)
+            gobject.idle_add(self._selectFile)
             self._fileList.grab_focus()
             self.grab_focus()
@@ -293,11 +292,11 @@
         otherPath = self._hasAltitude(newAltitude, ignorePath = editedPath)
         if otherPath is not None:
-            dialog = Gtk.MessageDialog(parent = self,
-                                       type = Gtk.MessageType.QUESTION,
+            dialog = gtk.MessageDialog(parent = self,
+                                       type = MESSAGETYPE_QUESTION,
                                        message_format =
                                        xstr("callouts_altitude_clash"))
             dialog.format_secondary_markup(xstr("callouts_altitude_clash_sec"))
-            dialog.add_button(xstr("button_no"), Gtk.ResponseType.NO)
-            dialog.add_button(xstr("button_yes"), Gtk.ResponseType.YES)
+            dialog.add_button(xstr("button_no"), RESPONSETYPE_NO)
+            dialog.add_button(xstr("button_yes"), RESPONSETYPE_YES)
             dialog.set_title(WINDOW_TITLE_BASE)
 
@@ -305,5 +304,5 @@
             dialog.hide()
 
-            if result!=Gtk.ResponseType.YES:
+            if result!=RESPONSETYPE_YES:
                 newAltitude = None
                 
@@ -347,10 +346,10 @@
         If it does not exist yet, it will be created."""
         if self._fileOpenDialog is None:
-            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("callouts_open_title"),
-                                           action = Gtk.FileChooserAction.OPEN,
-                                           buttons = (Gtk.STOCK_CANCEL,
-                                                      Gtk.ResponseType.CANCEL,
-                                                      Gtk.STOCK_OK, Gtk.ResponseType.OK),
+                                           action = FILE_CHOOSER_ACTION_OPEN,
+                                           buttons = (gtk.STOCK_CANCEL,
+                                                      RESPONSETYPE_CANCEL,
+                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = self)
             dialog.set_modal(True)            
@@ -359,5 +358,5 @@
             # FIXME: create the filters in one location and use them
             # from there
-            filter = Gtk.FileFilter()
+            filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_audio"))
             filter.add_pattern("*.wav")
@@ -365,5 +364,5 @@
             dialog.add_filter(filter)
 
-            filter = Gtk.FileFilter()
+            filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -390,5 +389,5 @@
         if altitude is not None: return altitude
 
-        descending = self._fileList.get_column(0).get_sort_order()==Gtk.SortType.DESCENDING
+        descending = self._fileList.get_column(0).get_sort_order()==SORT_DESCENDING
         model = self._fileListModel
         numEntries = model.iter_n_children(None)
@@ -474,15 +473,18 @@
     def _fileListButtonPressed(self, widget, event):
         """Called when a mouse button is pressed on the file list."""
-        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3:
+        if event.type!=EVENT_BUTTON_PRESS or event.button!=3:
             return
 
         menu = self._fileListPopupMenu
-        menu.popup(None, None, None, None, event.button, event.time)
+        if pygobject:
+            menu.popup(None, None, None, None, event.button, event.time)
+        else:
+            menu.popup(None, None, None, event.button, event.time)
 
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = Gtk.Menu()
-
-        menuItem = Gtk.MenuItem()
+        menu = gtk.Menu()
+
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("callouts_remove"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/cef.py
===================================================================
--- src/mlx/gui/cef.py	(revision 997)
+++ src/mlx/gui/cef.py	(revision 915)
@@ -1,3 +1,3 @@
-from .common import *
+from common import *
 
 from mlx.util import secondaryInstallation
@@ -10,12 +10,11 @@
 import os
 import re
-import _thread
+import thread
 import threading
 import tempfile
 import traceback
-import ctypes
-import urllib.request, urllib.error, urllib.parse
+import urllib2
 from lxml import etree
-from io import StringIO
+from StringIO import StringIO
 import lxml.html
 
@@ -101,5 +100,5 @@
     def call(self, plan, getCredentials, updateProgress, htmlFilePath):
         """Call SimBrief with the given plan."""
-        self._timeoutID = GObject.timeout_add(120*1000, self._timedOut)
+        self._timeoutID = gobject.timeout_add(120*1000, self._timedOut)
 
         self._plan = plan
@@ -113,9 +112,9 @@
                              SIMBRIEF_RESULT_NONE, None)
 
-    def _onLoadEnd(self, browser, frame, http_code):
+    def _onLoadEnd(self, browser, frame, httpCode):
         """Called when a page has been loaded in the SimBrief browser."""
         url = frame.GetUrl()
-        print("gui.cef.SimBriefHandler._onLoadEnd", http_code, url)
-        if http_code>=300:
+        print "gui.cef.SimBriefHandler._onLoadEnd", httpCode, url
+        if httpCode>=300:
             self._updateProgress(self._lastProgress,
                                  SIMBRIEF_RESULT_ERROR_OTHER, None)
@@ -128,7 +127,7 @@
 
             js = "form=document.getElementById(\"sbapiform\");"
-            for (name, value) in self._plan.items():
+            for (name, value) in self._plan.iteritems():
                 js += "form." + name + ".value=\"" + value + "\";"
-            for (name, value) in SimBriefHandler._querySettings.items():
+            for (name, value) in SimBriefHandler._querySettings.iteritems():
                 if isinstance(value, bool):
                     js += "form." + name + ".checked=" + \
@@ -176,6 +175,6 @@
 
             thread = threading.Thread(target = self._getResults, args = (link,))
-            _thread.daemon = True
-            _thread.start()
+            thread.daemon = True
+            thread.start()
         else:
             self._updateProgress(SIMBRIEF_PROGRESS_RETRIEVING_BRIEFING,
@@ -195,10 +194,8 @@
         self._lastProgress = progress
         if results!=SIMBRIEF_RESULT_NONE:
-            if self._timeoutID is not None:
-                GObject.source_remove(self._timeoutID)
+            gobject.source_remove(self._timeoutID)
             self._plan = None
 
-        if self._updateProgressFn is not None:
-            self._updateProgressFn(progress, results, flightInfo)
+        self._updateProgressFn(progress, results, flightInfo)
 
     def _timedOut(self):
@@ -222,5 +219,5 @@
 
         # Obtaining the xml
-        response = urllib.request.urlopen(link)
+        response = urllib2.urlopen(link)
         xmlContent = response.read()
         # Processing xml
@@ -245,5 +242,5 @@
                     imageLinks.append(imageLink[2])
         flightInfo["image_links"] = imageLinks
-        print((sorted(availableInfo.keys())))
+        print(sorted(availableInfo.keys()))
         htmlFilePath = "simbrief_plan.html" if self._htmlFilePath is None \
           else self._htmlFilePath
@@ -251,5 +248,5 @@
             f.write(availableInfo["plan_html"])
 
-        GObject.idle_add(self._resultsAvailable, flightInfo)
+        gobject.idle_add(self._resultsAvailable, flightInfo)
 
 #------------------------------------------------------------------------------
@@ -260,5 +257,5 @@
     _toQuit = False
 
-    GObject.threads_init()
+    gobject.threads_init()
 
     _simBriefHandler = SimBriefHandler()
@@ -269,5 +266,5 @@
 def _initializeCEF(args, initializedCallback):
     """Perform the actual initialization of CEF using the given arguments."""
-    print("Initializing CEF with args:", args)
+    print "Initializing CEF with args:", args
 
     settings = {
@@ -293,11 +290,11 @@
                     switches[arg[2:assignIndex]] = arg[assignIndex+1:]
         else:
-            print("Unhandled switch", arg)
+            print "Unhandled switch", arg
 
     cefpython.Initialize(settings, switches)
 
-    GObject.timeout_add(10, _handleTimeout)
-
-    print("Initialized, executing callback...")
+    gobject.timeout_add(10, _handleTimeout)
+
+    print "Initialized, executing callback..."
     initializedCallback()
 
@@ -308,9 +305,9 @@
     within."""
     if os.name=="nt":
-        container = Gtk.DrawingArea()
+        container = gtk.DrawingArea()
         container.set_property("can-focus", True)
         container.connect("size-allocate", _handleSizeAllocate)
     else:
-        container = Gtk.DrawingArea()
+        container = gtk.DrawingArea()
 
     container.show()
@@ -323,17 +320,12 @@
     """Start a browser instance in the given container with the given URL."""
     if os.name=="nt":
-        Gdk.threads_enter()
-        ctypes.pythonapi.PyCapsule_GetPointer.restype = ctypes.c_void_p
-        ctypes.pythonapi.PyCapsule_GetPointer.argtypes = \
-            [ctypes.py_object]
-        gpointer = ctypes.pythonapi.PyCapsule_GetPointer(
-            container.get_property("window").__gpointer__, None)
-        libgdk = ctypes.CDLL("libgdk-3-0.dll")
-        windowID = libgdk.gdk_win32_window_get_handle(gpointer)
-        container.windowID = windowID
-        Gdk.threads_leave()
+        window = container.get_window()
+        if window is None:
+            print "mlx.gui.cef.startInContainer: no window found!"
+            windowID = None
+        else:
+            windowID = window.handle
     else:
-        container.set_visual(container.get_screen().lookup_visual(0x21))
-        windowID = container.get_window().get_xid()
+        windowID = container.window.xid
 
     windowInfo = cefpython.WindowInfo()
@@ -348,12 +340,12 @@
 
 class OffscreenRenderHandler(object):
-    def GetRootScreenRect(self, browser, rect_out):
+    def GetRootScreenRect(self, browser, rect):
         #print "GetRootScreenRect"
-        rect_out += [0, 0, 800, 600]
+        rect += [0, 0, 800, 600]
         return True
 
-    def GetViewRect(self, browser, rect_out):
+    def GetViewRect(self, browser, rect):
         #print "GetViewRect"
-        rect_out += [0, 0, 800, 600]
+        rect += [0, 0, 800, 600]
         return True
 
@@ -375,5 +367,5 @@
         pass
 
-    def OnPaint(self, browser, element_type, dirty_rects, paint_buffer, width, height):
+    def OnPaint(self, browser, paintElementType, dirtyRects, buffer, width, height):
         #print "OnPaint", paintElementType, dirtyRects, buffer, width, height
         pass
@@ -432,5 +424,6 @@
 
 def _handleSizeAllocate(widget, sizeAlloc):
-    """Handle the size-allocate event on Windows."""
+    """Handle the size-allocate event."""
+    window = widget.get_window()
     if widget is not None:
-        cefpython.WindowUtils.OnSize(widget.windowID, 0, 0, 0)
+        cefpython.WindowUtils.OnSize(window.handle, 0, 0, 0)
